-- Options.lua : Options config

if select(6, GetAddOnInfo("Guilder_" .. (debugstack():match("[o%.][d%.][u%.]les\\(.-)\\") or ""))) ~= "MISSING" then return end

local _G = _G
local Guilder = _G.Guilder
local Guilder_Version = Guilder:GetModule("Version")
local L = LibStub("AceLocale-3.0"):GetLocale("Guilder")

Guilder_Version:SetGlobalOptionsFunction(function(self)
	return "div", {
		type = "group",
		name = L["Version Checker Settings"],
		desc = "",
		inline = true,
		args = {
			desc = {
				type = "description",
				name = L["Version Checker queries players for the versions of addons installed."],
				order = 0
			},
			h1 = {
				type = "header",
				name = L["Version information from other players using Guilder"],
				order = 1
			},
			channel = {
				type = "select",
				name = L["Query"],
				desc = L["Who you would like to check?"],
				order = 2,
				values = { ["GROUP"] = L["Group"], ["GUILD"] = L["Guild"], ["WHISPER"] = L["Player"] },
				get = function() return self.db.profile.channel end,
				set = function(info, v) self.db.profile.channel = v end
			},
			who = {
				type = "select",
				name = L["Player"],
				desc = L["Which player do you want to query?"],
				order = 3,
				values = Guilder:PlayersInGroupOrGuild(),
				get = function() return self.db.profile.player end,
				set = function(info, v) self.db.profile.player = v end
			},
			send = {
				type = "execute",
				name = L["Query"],
				desc = L["Request the versions from the selected people"],
				order = 4,
				func = function() self:QueryPlayerVersions() end
			},
--[[			h2 = {
				type = "header",
				name = L["Miscellaneous Addons to Check For"],
				order = 5
			},
			guilder = {
				type = "toggle",
				name = "Guilder",
				desc = "",
				order = 6,
				get = function() return self.db.profile.queryGuilder end,
				set = function(info, v) self.db.profile.queryGuilder = v end
			},]]
			h3 = {
				type = "header",
				name = L["Raid Addons to Check For"],
				order = 7
			},
			bigwigs = {
				type = "toggle",
				name = L["BigWigs"],
				desc = "",
				order = 8,
				get = function() return self.db.profile.queryBigwigs end,
				set = function(info, v) self.db.profile.queryBigwigs = v end
			},
			dbm = {
				type = "toggle",
				name = L["Deadly Boss Mods"],
				desc = "",
				order = 9,
				get = function() return self.db.profile.queryDBM end,
				set = function(info, v) self.db.profile.queryDBM = v end
			},
			dxe = {
				type = "toggle",
				name = L["Deus Vox Encounters"],
				desc = "",
				order = 10,
				get = function() return self.db.profile.queryDXE end,
				set = function(info, v) self.db.profile.queryDXE = v end
			},
			omen = {
				type = "toggle",
				name = L["Omen"],
				desc = "",
				order = 11,
				get = function() return self.db.profile.queryOmen end,
				set = function(info, v) self.db.profile.queryOmen = v end
			},
			recount = {
				type = "toggle",
				name = L["Recount"],
				desc = "",
				order = 12,
				get = function() return self.db.profile.queryRecount end,
				set = function(info, v) self.db.profile.queryRecount = v end
			},
			h4 = {
				type = "header",
				name = L["Version information from Boss Mod addon announcements"],
				order = 13
			},
			desc2 = {
				type = "description",
				name = L["Please note that this will only report on what it has seen. It will not request the information from the player."],
				order = 14
			},
			revision = {
				type = "toggle",
				name = L["Include revisions"],
				desc = "",
				order = 15,
				get = function() return self.db.profile.includeRevision end,
				set = function(info, v) self.db.profile.includeRevision = v end
			},
			show = {
				type = "execute",
				name = L["Show Versions"],
				order = 16,
				func = function() self:ShowGroupVersions() end
			}
		}
	}
end)
